tenant: public
namespace: default
name: debezium-kafka-source
topicName: dbserver1.turbine.txn_requests
archive: /tmp/pulsar-io-kafka-connect-adaptor-2.10.2.nar

parallelism: 1
className: io.debezium.connector.yugabytedb.YugabyteDBConnector

configs:
  ## sourceTask
  task.class: io.debezium.connector.yugabytedb.YugabyteDBConnector

  # TODO: Use DN instead of IP address
  ## config for yugabyte, jar file: debezium/debezium-connector-yugabytedb:1.9.5.y.15
  database.hostname: <YUGABYTE HOSTNAME ADDRESS>
  database.port: 5433
  database.master.addresses: <YUGABYTE MASTER ADDRESSES>
  database.user: USER #To be added by CD tool
  database.password: PASSWORD #To be added by CD tool
  database.dbname: turbine #To be added by CD tool
  database.server.name: dbserver1 #! Needs to be unique
  table.include.list: turbine.txn_requests #To be added by CD tool
  database.streamid: <STREAM ID> #To be added by CD tool
  snapshot.mode: initial 
  
  # database.history: org.apache.pulsar.io.debezium.PulsarDatabaseHistory
  # database.history.pulsar.topic: history-topic
  # database.history.pulsar.service.url: pulsar://127.0.0.1:6650
  ## KEY_CONVERTER_CLASS_CONFIG, VALUE_CONVERTER_CLASS_CONFIG
  # TODO: Try with removed key/val converter
  key.converter: org.apache.kafka.connect.json.JsonConverter
  value.converter: org.apache.kafka.connect.json.JsonConverter
  ## PULSAR_SERVICE_URL_CONFIG
  pulsar.service.url: pulsar://127.0.0.1:6650
  # pulsar.service.url: localhost:6650
  # pulsar.service.url: pulsar-broker-0.pulsar-broker.pulsar.svc.cluster.local/172.31.15.94:6650
  ## OFFSET_STORAGE_TOPIC_CONFIG
  offset.storage.topic: offset-topic